aboutsummaryrefslogtreecommitdiffstats
path: root/validation-scripts
diff options
context:
space:
mode:
authorDan Prince <dprince@redhat.com>2015-07-22 21:51:49 -0400
committerDan Prince <dprince@redhat.com>2015-10-21 16:47:50 -0400
commitd148ddbe785696e2eb5238c07fba52089ff00ef2 (patch)
tree9058d24b7fa8a613d9d7554fa0325210f7857b75 /validation-scripts
parent9a7c55e4a71b46cb40a9288eb86e477d0a8b029c (diff)
Add validation to ping the default gateway(s)
This patch adds a new function that runs on all nodes so that all default gateways are ping tested early on during the installation process (before any puppet is executed) Note: this change depends on the static control plane network IPs because some distros allow/create multiple default routes without this patch (see depends-on below). Depends-On: Ib267e6dcf2d5ff77f7a82ee20a123965c2d07565 Change-Id: Ida125e79f3e549cae66be9dbd562197afa6400a5
Diffstat (limited to 'validation-scripts')
-rw-r--r--validation-scripts/all-nodes.sh20
1 files changed, 19 insertions, 1 deletions
diff --git a/validation-scripts/all-nodes.sh b/validation-scripts/all-nodes.sh
index fcbfcc95..8057f201 100644
--- a/validation-scripts/all-nodes.sh
+++ b/validation-scripts/all-nodes.sh
@@ -2,7 +2,7 @@
# For each unique remote IP (specified via Heat) we check to
# see if one of the locally configured networks matches and if so we
-# attempt a ping test on that networks remote IP.
+# attempt a ping test the remote network IP.
function ping_controller_ips() {
local REMOTE_IPS=$1
@@ -26,4 +26,22 @@ function ping_controller_ips() {
done
}
+# Ping all default gateways. There should only be one
+# if using upstream t-h-t network templates but we test
+# all of them should some manual network config have
+# multiple gateways.
+function ping_default_gateways() {
+ DEFAULT_GW=$(ip r | grep ^default | cut -d " " -f 3)
+ for GW in $DEFAULT_GW; do
+ echo -n "Trying to ping default gateway ${GW}..."
+ if ! ping -c 1 $GW &> /dev/null; then
+ echo "FAILURE"
+ echo "$GW is not pingable."
+ exit 1
+ fi
+ done
+ echo "SUCCESS"
+}
+
ping_controller_ips "$ping_test_ips"
+ping_default_gateways